triggers.list(): the project's triggers, newest first
curl --request GET \
--url https://api.paddock.build/v1/triggers \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paddock.build/v1/triggers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.paddock.build/v1/triggers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.paddock.build/v1/triggers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"id": "<string>",
"url": "<string>",
"name": "<string>",
"verification": {
"header": "<string>",
"prefix": "<string>"
},
"dedupe": "<string>",
"rules": [
{
"name": "<string>",
"enabled": true,
"filter": "<string>",
"agentId": "<string>",
"session": {
"mode": "key",
"key": "<string>"
},
"sessionSettings": {
"cwd": "<string>",
"systemPrompt": "<string>",
"metadata": {}
},
"message": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"nextCursor": "<string>"
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {}
}
}Triggers
triggers.list(): the project's triggers, newest first
GET
/
triggers
triggers.list(): the project's triggers, newest first
curl --request GET \
--url https://api.paddock.build/v1/triggers \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paddock.build/v1/triggers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.paddock.build/v1/triggers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.paddock.build/v1/triggers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"id": "<string>",
"url": "<string>",
"name": "<string>",
"verification": {
"header": "<string>",
"prefix": "<string>"
},
"dedupe": "<string>",
"rules": [
{
"name": "<string>",
"enabled": true,
"filter": "<string>",
"agentId": "<string>",
"session": {
"mode": "key",
"key": "<string>"
},
"sessionSettings": {
"cwd": "<string>",
"systemPrompt": "<string>",
"metadata": {}
},
"message": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"nextCursor": "<string>"
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {}
}
}